Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Member Functions | List of all members
LatBuilder::Norm::PAlphaSL10 Class Reference

Bound on the weighted \(\mathcal P_\alpha\) discrepancy. More...

`#include <PAlphaSL10.h>`

Inherits LatBuilder::Norm::PAlphaBase< PAlphaSL10 >.

## Public Member Functions
| PAlphaSL10 (unsigned int alpha, const LatCommon::Weights &weights, Real normType=2)
| Constructor. More...
template<LatType L>
Real | value (Real lambda, const SizeParam< L > &sizeParam, Dimension dimension, Real norm=1.0) const
std::string | name () const
Public Member Functions inherited from LatBuilder::Norm::PAlphaBase< PAlphaSL10 >
| PAlphaBase (unsigned int alpha, Real normType)
| Constructor. More...
unsigned | alpha () const
Real | normType () const
Real | minExp () const
Real | maxExp () const
Real | value (Real lambda, const SizeParam< L > &sizeParam, Dimension dimension, Real norm=1.0) const
| Returns the value of the bound. More...
Real | operator() (const SizeParam< L > &sizeParam, Dimension dimension, Real norm=1.0) const
| Returns the smallest value of the bound for dimension `dimension`. More...
Real | minimum (const SizeParam< L > &sizeParam, Dimension dimension, Real norm) const
| Returns the minimum value of the bound function. More...

## Additional Inherited Members
Static Public Attributes inherited from LatBuilder::Norm::PAlphaBase< PAlphaSL10 >
static const unsigned | MINIMIZER_MAX_ITER
| Maximum number of iterations to be used with the minimizer.
static const int | MINIMIZER_PREC_BITS
| Relative precision on the minimum value to be used with the minimizer.

## Detailed Description

Bound on the weighted \(\mathcal P_\alpha\) discrepancy.

This is the general bound derived in Theorem 3 of [18] for projection-dependent weights. The theorem states that, for \(\mathcal D^2(\boldsymbol a_s, n) = \mathcal P_\alpha(\boldsymbol a_s, n)\), there exists a generating vector \(\boldsymbol a_s \in \mathbb Z^s\) such that

\[ \mathcal D^2(\boldsymbol a_s, n) \leq N_{n,s}(c, \lambda) \]

for any \(\lambda \in (1/\alpha,1]\) and any \(c \in [0, 1]\), where

\[ N_{n,s}(c, \lambda) = \left[ \frac{1}{c \, \varphi(n)} \sum_{\emptyset \neq \mathfrak u \subseteq \{1,\dots,s\}} \gamma_{\mathfrak u}^\lambda \, \left( 2 \zeta(\alpha\lambda) \right)^{|\mathfrak u|} \right]^{1/\lambda}, \]

in which \(\zeta\) is the Riemann zeta function and \(\varphi\) is Euler's totient function. The normalization that is used is:

\[ \min_\lambda N_{n,s}(c, \lambda) \]

For order-dependent weights, the bound can be rewritten as:

\[ N_{n,s}(c, \lambda) = \left[ \frac{1}{c \, \varphi(n)} \sum_{\ell=1}^s \Gamma_\ell^\lambda \, \frac{s!}{\ell! (s-\ell)!} \, \left( 2 \zeta(\alpha\lambda) \right)^\ell \right]^{1/\lambda} = \left[ \frac{1}{c \, \varphi(n)} \sum_{\ell=1}^s \Gamma_\ell^\lambda \, y_\ell(\lambda) \right]^{1/\lambda}, \]

where

\[ y_\ell(\lambda) = \frac{s - \ell + 1}{\ell} \, 2 \zeta(\alpha\lambda) \times y_{\ell - 1}(\lambda) \]

for \(\ell \geq 1\) and \(y_0(\alpha) = 1\).

For product weights, it can be written as:

\[ N_{n,s}(c, \lambda) = \left\{ \frac{1}{c \, \varphi(n)} \left[ \prod_{j=1}^s \left( 1 + 2 \gamma_j^\lambda \, \zeta(\alpha\lambda) \right) - 1 \right] \right\}^{1/\lambda}, \]

For product and order-dependent (POD) weights, the bound can be written as:

\[ N_{n,s}(c, \lambda) = \left[ \frac{1}{c \, \varphi(n)} \sum_{\ell=1}^s \Gamma_\ell^\lambda \, y_\ell(\lambda) \right]^{1/\lambda}, \]

where

\[ y_\ell(\lambda) = \frac{s - \ell + 1}{\ell} \, 2 \gamma_\ell^\lambda \zeta(\alpha\lambda) \times y_{\ell - 1}(\lambda) \]

for \(\ell \geq 1\) and \(y_0(\lambda) = 1\).

Examples:
  tutorial/FilteredCBC.cc, and tutorial/FilteredRCBC.cc.

## Constructor & Destructor Documentation

LatBuilder::Norm::PAlphaSL10::PAlphaSL10 | ( | unsigned int | alpha,
|  | const LatCommon::Weights & | weights,
|  | Real | normType = `2`
| ) |  |

Constructor.

Parameters

  alpha | Smoothness level \(\alpha\) of the class of functions.
  weights | Projection-dependent weights \( \gamma_{\mathfrak u} \).
  normType | Type of cross-projection norm used by the figure of merit.

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/Norm/PAlphaSL10.h